Page MenuHomePhabricator

[mips][FastISel] Handle calls with non legal types i8 and i16.
ClosedPublic

Authored by vkalintiris on Dec 23 2014, 8:00 AM.

Details

Summary

Allow calls with non legal integer types based on i8 and i16 to be processed by mips fast-isel.

Based on a patch by Reed Kotler.

Depends on D9635.

Diff Detail

Repository
rL LLVM

Event Timeline

rkotler updated this revision to Diff 17598.Dec 23 2014, 8:00 AM
rkotler retitled this revision from to Mips fast-isel - handle calls with non legal types i8, i16.
rkotler updated this object.
rkotler edited the test plan for this revision. (Show Details)
rkotler added a reviewer: dsanders.
rkotler added subscribers: rfuhler, Unknown Object (MLST).
vkalintiris commandeered this revision.Apr 16 2015, 5:19 AM
vkalintiris added a reviewer: rkotler.
dsanders edited edge metadata.Apr 28 2015, 2:49 AM

Could you add a test case?

My question was intended for the current owner of the revision (Vasileios) but I don't mind which of you creates the test case so long as there is one :-).

vkalintiris updated this revision to Diff 25411.May 9 2015, 9:12 AM
vkalintiris retitled this revision from Mips fast-isel - handle calls with non legal types i8, i16 to [mips][FastISel] Handle calls with non legal types i8 and i16..
vkalintiris updated this object.
vkalintiris edited edge metadata.

Added tests for i8 and i16 arguments in function calls.

dsanders accepted this revision.May 12 2015, 3:34 AM
dsanders edited edge metadata.

LGTM with a nit

test/CodeGen/Mips/Fast-ISel/callabi.ll
11 ↗(On Diff #25411)

Nit: Indentation

This revision is now accepted and ready to land.May 12 2015, 3:34 AM
This revision was automatically updated to reflect the committed changes.